Bug 24623 - Phase out jquery.cookie.js: Advanced MARC editor
Summary: Phase out jquery.cookie.js: Advanced MARC editor
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23944
Blocks: 27750
  Show dependency treegraph
 
Reported: 2020-02-10 19:25 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 24623: Phase out jquery.cookie.js: Advanced MARC editor (2.87 KB, patch)
2021-02-22 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24623: Phase out jquery.cookie.js: Advanced MARC editor (2.92 KB, patch)
2021-02-23 10:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 24623: Phase out jquery.cookie.js: Advanced MARC editor (2.98 KB, patch)
2021-02-28 17:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-02-10 19:25:11 UTC
The advanced cataloging editor uses a cookie to set the user's preference for whether to use the advanced cataloging editor by default.

This process should use the newer cookie library, js-cookie.
Comment 1 Owen Leonard 2021-02-22 14:50:01 UTC
Created attachment 117154 [details] [review]
Bug 24623: Phase out jquery.cookie.js: Advanced MARC editor

This patch changes cookie handling in the MARC editor templates so that
the js-cookie plugin is used instead of jquery.cookie.

To test, apply the patch and go to Cataloging.

 - Search for a title using the cataloging search in the header search
   form.
 - In the search results, choose "Edit record" from the "Actions" menu.
 - By default you should be taken to the "basic" MARC editor.
 - From the "Settings" menu button, choose "Switch to advanced editor."
 - Return to the cataloging home page and perform another search.
 - Now when you choose "Edit record" you should be taken directly to the
   advanced editor.
 - In the advanced editor, choose "Switch to basic editor" from the
   "Settings" menu.
 - The basic editor should now be saved as the default.
 - Test also with "Edit record" links in catalog search results.
Comment 2 David Nind 2021-02-23 10:50:20 UTC
Created attachment 117191 [details] [review]
Bug 24623: Phase out jquery.cookie.js: Advanced MARC editor

This patch changes cookie handling in the MARC editor templates so that
the js-cookie plugin is used instead of jquery.cookie.

To test, apply the patch and go to Cataloging.

 - Search for a title using the cataloging search in the header search
   form.
 - In the search results, choose "Edit record" from the "Actions" menu.
 - By default you should be taken to the "basic" MARC editor.
 - From the "Settings" menu button, choose "Switch to advanced editor."
 - Return to the cataloging home page and perform another search.
 - Now when you choose "Edit record" you should be taken directly to the
   advanced editor.
 - In the advanced editor, choose "Switch to basic editor" from the
   "Settings" menu.
 - The basic editor should now be saved as the default.
 - Test also with "Edit record" links in catalog search results.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-02-28 17:45:34 UTC
Created attachment 117420 [details] [review]
Bug 24623: Phase out jquery.cookie.js: Advanced MARC editor

This patch changes cookie handling in the MARC editor templates so that
the js-cookie plugin is used instead of jquery.cookie.

To test, apply the patch and go to Cataloging.

 - Search for a title using the cataloging search in the header search
   form.
 - In the search results, choose "Edit record" from the "Actions" menu.
 - By default you should be taken to the "basic" MARC editor.
 - From the "Settings" menu button, choose "Switch to advanced editor."
 - Return to the cataloging home page and perform another search.
 - Now when you choose "Edit record" you should be taken directly to the
   advanced editor.
 - In the advanced editor, choose "Switch to basic editor" from the
   "Settings" menu.
 - The basic editor should now be saved as the default.
 - Test also with "Edit record" links in catalog search results.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-03-04 16:25:07 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-03-08 15:40:19 UTC
Enhancement not pushed to 20.11.x